### Function

# Cogl foreach_feature

#### Declaration [src]

    void
    cogl_foreach_feature (
      CoglContext* context,
      CoglFeatureCallback callback,
      void* user_data
    )

#### Description [src]

Iterates through all the context level features currently supported for a given `context` and for each feature `callback` is called.

#### Parameters

`context`

  Type: `CoglContext`

  A `CoglContext` pointer.

  The data is owned by the caller of the function.

`callback`

  Type: `CoglFeatureCallback`

  A `CoglFeatureCallback` called for each supported feature.

`user_data`

  Type: `void*`

  Private data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.